# MSP::CCS::CoordinateConversionService Class Reference

`#include <CoordinateConversionService.h>`

List of all members.

## Classes

struct | CCSData
struct | Coordinate_State_Row
struct | Coordinate_System_Row
union | Coordinates
union | Parameters

## Public Member Functions

| CoordinateConversionService (const char *sourceDatumCode, MSP::CCS::CoordinateSystemParameters *sourceParameters, const char *targetDatumCode, MSP::CCS::CoordinateSystemParameters *targetParameters)
| CoordinateConversionService (const CoordinateConversionService &ccs)
| ~CoordinateConversionService (void)
CoordinateConversionService & | operator= (const CoordinateConversionService &ccs)
void | convertSourceToTarget (CoordinateTuple *sourceCoordinates, Accuracy *sourceAccuracy, CoordinateTuple &targetCoordinates, Accuracy &targetAccuracy)
void | convertTargetToSource (CoordinateTuple *targetCoordinates, Accuracy *targetAccuracy, CoordinateTuple &sourceCoordinates, Accuracy &sourceAccurac)
void | convertSourceToTargetCollection (const std::vector< MSP::CCS::CoordinateTuple * > &sourceCoordinates, const std::vector< MSP::CCS::Accuracy * > &sourceAccuracy, std::vector< MSP::CCS::CoordinateTuple * > &targetCoordinates, std::vector< MSP::CCS::Accuracy * > &targetAccuracy)
void | convertTargetToSourceCollection (const std::vector< MSP::CCS::CoordinateTuple * > &targetCoordinates, const std::vector< MSP::CCS::Accuracy * > &targetAccuracy, std::vector< MSP::CCS::CoordinateTuple * > &sourceCoordinates, std::vector< MSP::CCS::Accuracy * > &sourceAccuracy)
EllipsoidLibrary * | getEllipsoidLibrary ()
DatumLibrary * | getDatumLibrary ()
int | getServiceVersion ()
const char * | getDatum (const SourceOrTarget::Enum direction) const
MSP::CCS::CoordinateSystemParameters * | getCoordinateSystem (const SourceOrTarget::Enum direction) const

## Detailed Description

Main Interface for Coordinate Conversion Service

Definition at line 176 of file CoordinateConversionService.h.

## Constructor & Destructor Documentation

CoordinateConversionService::CoordinateConversionService | ( | const char * | sourceDatumCode,
|  | MSP::CCS::CoordinateSystemParameters * | sourceParameters,
|  | const char * | targetDatumCode,
|  | MSP::CCS::CoordinateSystemParameters * | targetParameters |
| ) |  |  |

The constructor sets the initial state of the coordinate conversion service in in preparation for coordinate conversion and/or datum transformation operations.

Parameters:

  `[in]` | sourceDatumCode | - standard 5-letter datum code
  `[in]` | sourceParameters | - input coordinate system
  `[in]` | targetDatumCode | - standard 5-letter datum code
  `[in]` | targetParameters | - output coordinate system

Definition at line 219 of file CoordinateConversionService.cpp.

CoordinateConversionService::CoordinateConversionService | ( | const CoordinateConversionService & | ccs | ) |

Copy constructor

Parameters:

  `[in]` | - | Instance of Coordinate Conversion Service

Definition at line 428 of file CoordinateConversionService.cpp.

CoordinateConversionService::~CoordinateConversionService | ( | void |  | ) |

Destructor

Definition at line 452 of file CoordinateConversionService.cpp.

## Member Function Documentation

void CoordinateConversionService::convertSourceToTarget | ( | CoordinateTuple * | sourceCoordinates,
|  | Accuracy * | sourceAccuracy,
|  | CoordinateTuple & | targetCoordinates,
|  | Accuracy & | targetAccuracy |
| ) |  |  |

The function convertSourceToTarget converts the current source coordinates in the coordinate system defined by the current source coordinate system parameters and source datum, into target coordinates in the coordinate system defined by the target coordinate system parameters and target datum.

Parameters:

  `[in]` | sourceCoordinates | - Coordinates of the source coordinate system to be converted
  `[in]` | sourceAccuracy | - Source circular, linear and spherical errors
  `[out]` | targetCoordinates | - Converted coordinates of the target coordinate system
  `[out]` | targetAccuracy | - Target circular, linear and spherical errors

Definition at line 508 of file CoordinateConversionService.cpp.

void CoordinateConversionService::convertSourceToTargetCollection | ( | const std::vector< MSP::CCS::CoordinateTuple * > & | sourceCoordinates,
|  | const std::vector< MSP::CCS::Accuracy * > & | sourceAccuracy,
|  | std::vector< MSP::CCS::CoordinateTuple * > & | targetCoordinates,
|  | std::vector< MSP::CCS::Accuracy * > & | targetAccuracy |
| ) |  |  |

The function convertSourceToTargetCollection will convert a list of source coordinates to a list of target coordinates in a single step.

Parameters:

  `[in]` | sourceCoordinates | - Coordinates of the source coordinate system to be converted
  `[in]` | sourceAccuracy | - Source circular, linear and spherical errors
  `[out]` | targetCoordinates | - Converted coordinates of the target coordinate system
  `[out]` | targetAccuracy | - Target circular, linear and spherical errors

Definition at line 534 of file CoordinateConversionService.cpp.

void CoordinateConversionService::convertTargetToSource | ( | CoordinateTuple * | targetCoordinates,
|  | Accuracy * | targetAccuracy,
|  | CoordinateTuple & | sourceCoordinates,
|  | Accuracy & | sourceAccurac |
| ) |  |  |

The function convertTargetToSource converts the current target coordinates in the coordinate system defined by the current target coordinate system parameters and target datum, into source coordinates in the coordinate system defined by the source coordinate system parameters and source datum.

Parameters:

  `[in]` | targetCoordinates | - Converted coordinates of the target coordinate system
  `[in]` | targetAccuracy | - Target circular, linear and spherical errors
  `[out]` | sourceCoordinates | - Coordinates of the source coordinate system to be converted
  `[out]` | sourceAccuracy | - Source circular, linear and spherical errors

Definition at line 521 of file CoordinateConversionService.cpp.

void CoordinateConversionService::convertTargetToSourceCollection | ( | const std::vector< MSP::CCS::CoordinateTuple * > & | targetCoordinates,
|  | const std::vector< MSP::CCS::Accuracy * > & | targetAccuracy,
|  | std::vector< MSP::CCS::CoordinateTuple * > & | sourceCoordinates,
|  | std::vector< MSP::CCS::Accuracy * > & | sourceAccuracy |
| ) |  |  |

The function convertTargetToSourceCollection will convert a list of target coordinates to a list of source coordinates in a single step.

Parameters:

  `[in]` | targetCoordinates | - Converted coordinates of the target coordinate system
  `[in]` | targetAccuracy | - Target circular, linear and spherical errors
  `[out]` | sourceCoordinates | - Coordinates of the source coordinate system to be converted
  `[out]` | sourceAccuracy | - Source circular, linear and spherical errors

Definition at line 550 of file CoordinateConversionService.cpp.

MSP::CCS::CoordinateSystemParameters * CoordinateConversionService::getCoordinateSystem | ( | const SourceOrTarget::Enum | direction | ) | const

return coordinateSystemState[direction].parameters.mercatorParameters;

Definition at line 614 of file CoordinateConversionService.cpp.

const char * CoordinateConversionService::getDatum | ( | const SourceOrTarget::Enum | direction | ) | const

Definition at line 600 of file CoordinateConversionService.cpp.

DatumLibrary * CoordinateConversionService::getDatumLibrary | ( |  | ) |

Definition at line 578 of file CoordinateConversionService.cpp.

EllipsoidLibrary * CoordinateConversionService::getEllipsoidLibrary | ( |  | ) |

Definition at line 566 of file CoordinateConversionService.cpp.

int CoordinateConversionService::getServiceVersion | ( |  | ) |

Definition at line 590 of file CoordinateConversionService.cpp.

CoordinateConversionService & CoordinateConversionService::operator= | ( | const CoordinateConversionService & | ccs | ) |

Operator =

Parameters:

  `[in]` | - | Instance of Coordinate Conversion Service

Definition at line 476 of file CoordinateConversionService.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/CoordinateConversion/CoordinateConversionService.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/CoordinateConversion/CoordinateConversionService.cpp